## visad.jmet
Class DumpType

    java.lang.Object
      visad.jmet.DumpType

public class DumpType
extends Object

Class of static methods for printing out information about VisAD `Data` objects.

Constructor Summary
`DumpType()`

Method Summary
`static void` `dumpDataType(Data d)` Decomposes a VisAD Data object and lists out information about its components.
`static void` `dumpDataType(Data d, OutputStream uos)` Decomposes a VisAD Data object and lists out information about its components.
`static void` `dumpMathType(MathType t)` Decomposes a VisAD MathType and lists out information about its components
`static void` `dumpMathType(MathType t, OutputStream uos)` Decomposes a VisAD MathType and lists out information about its components
`static void` `main(String[] args)` Test this class by running 'java visad.jmet.DumpType'.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DumpType

    public DumpType()

Method Detail

### dumpDataType

    public static void dumpDataType(Data d)

  Decomposes a VisAD Data object and lists out information about its components.

  Parameters:
    `d` - the VisAD Data object to analyze

### dumpDataType

    public static void dumpDataType(Data d,
                                    OutputStream uos)

  Decomposes a VisAD Data object and lists out information about its components.

  Parameters:
    `d` - the VisAD Data object to analyze
    `uos` - the OutputStream to send the text output to (usually use "System.out")

### dumpMathType

    public static void dumpMathType(MathType t)

  Decomposes a VisAD MathType and lists out information about its components

  Parameters:
    `t` - MathType to dump

### dumpMathType

    public static void dumpMathType(MathType t,
                                    OutputStream uos)

  Decomposes a VisAD MathType and lists out information about its components

  Parameters:
    `t` - the VisAD MathType object to analyze
    `uos` - the OutputStream to send the text output to (usually use "System.out")

### main

    public static void main(String[] args)

  Test this class by running 'java visad.jmet.DumpType'. Reads in a data file using the default VisAD data reader family and dumps out the type of the data object.

  Parameters:
    `args` - name of file or URL to read in and analyze